function [y,X,beta_true] = GenerateData_lm(n, p, s, a, rho,sigsq_true)
Sig=zeros(p,p);
for i=1:p
    for j=1:p
        Sig(i,j)=rho^(abs(i-j));
    end
end
ch=chol(Sig,'lower');
X=zeros(n,p);
for i=1:n
    X(i,:)=(ch\randn(p,1))';
end
beta_true=zeros(p,1);
ind_s = randsample(p, s);
for jj = 1:s
        beta_true(ind_s(jj))= (1-2*ceil(-1 + 2*rand(1)))*( a + 1*rand(1));
end
E=randn(n,1);
y=X*beta_true+sqrt(sigsq_true)*E;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
