%Code to produce the outputs in the paper

load res_real_data.mat

subplot(1,2,1);plot(sigmasq_est_cancer);
subplot(1,2,2);plot(sigmasq_est_no_cancer);

LL = length(sigmasq_est_cancer);

diff_vec = zeros(LL,3);

for jj = 1:LL
    ind_cancer = find(abs(CI_m_cancer(jj,:)) > 0);
    ind_no_cancer = find(abs(CI_m_no_cancer(jj,:)) > 0);
    diff_vec(jj,1) = length(setxor(ind_cancer,ind_no_cancer));
    diff_vec(jj,2) = length(setxor(ind_cancer,ind_no_cancer))/(1 + length(intersect(ind_cancer,ind_no_cancer)));
end
[sym_diff2,index_gene2] = sort(diff_vec(:,2),'ascend');
sig_gene2 = sym_diff2 > 10;

subplot(2,2,1); plot(sym_diff1)
subplot(2,2,2); plot(sym_diff1(sig_gene1));
subplot(1,2,1); plot(sym_diff2)
subplot(1,2,2); plot(sym_diff2(sig_gene2))
%%%sparsity pattern
subplot(1,2,1); spy(CI_m_cancer)
subplot(1,2,2); spy(CI_m_no_cancer)

    